Xerces2 Implementation: Class MouseEventImpl

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.dom.events
Class MouseEventImpl

    java.lang.Object
      |
      +--org.apache.xerces.dom.events.EventImpl
            |
            +--org.apache.xerces.dom.events.UIEventImpl
                  |
                  +--org.apache.xerces.dom.events.MouseEventImpl

All Implemented Interfaces:
  org.w3c.dom.events.Event, org.w3c.dom.events.MouseEvent, org.w3c.dom.events.UIEvent

public class MouseEventImpl
extends UIEventImpl
implements org.w3c.dom.events.MouseEvent

An implementation of the DOM Level 2 `MouseEvent` interface.

# INTERNAL:

  Usage of this class is not supported. It may be altered or removed at any time.

Version:
  $Id: MouseEventImpl.java 533574 2007-04-30 00:29:47Z mrglavas $

Fields inherited from class org.apache.xerces.dom.events.EventImpl
`bubbles, cancelable, currentTarget, eventPhase, initialized, preventDefault, stopPropagation, target, timeStamp, type`

Fields inherited from interface org.w3c.dom.events.Event
`AT_TARGET, BUBBLING_PHASE, CAPTURING_PHASE`

Constructor Summary
`MouseEventImpl()`

Method Summary
`boolean` | `getAltKey()` Used to indicate whether the 'alt' key was depressed during the firing of the event.
`short` | `getButton()` During mouse events caused by the depression or release of a mouse button, `button` is used to indicate which mouse button changed state.
`int` | `getClientX()` The horizontal coordinate at which the event occurred relative to the DOM implementation's client area.
`int` | `getClientY()` The vertical coordinate at which the event occurred relative to the DOM implementation's client area.
`boolean` | `getCtrlKey()` Used to indicate whether the 'ctrl' key was depressed during the firing of the event.
`boolean` | `getMetaKey()` Used to indicate whether the 'meta' key was depressed during the firing of the event.
`org.w3c.dom.events.EventTarget` | `getRelatedTarget()` Used to identify a secondary `EventTarget` related to a UI event.
`int` | `getScreenX()` The horizontal coordinate at which the event occurred relative to the origin of the screen coordinate system.
`int` | `getScreenY()` The vertical coordinate at which the event occurred relative to the origin of the screen coordinate system.
`boolean` | `getShiftKey()` Used to indicate whether the 'shift' key was depressed during the firing of the event.
`void` | `initMouseEvent(java.lang.String typeArg, boolean canBubbleArg, boolean cancelableArg, org.w3c.dom.views.AbstractView viewArg, int detailArg, int screenXArg, int screenYArg, int clientXArg, int clientYArg, boolean ctrlKeyArg, boolean altKeyArg, boolean shiftKeyArg, boolean metaKeyArg, short buttonArg, org.w3c.dom.events.EventTarget relatedTargetArg)` The `initMouseEvent` method is used to initialize the value of a `MouseEvent` created through the `DocumentEvent` interface.

Methods inherited from class org.apache.xerces.dom.events.UIEventImpl
`getDetail, getView, initUIEvent`

Methods inherited from class org.apache.xerces.dom.events.EventImpl
`getBubbles, getCancelable, getCurrentTarget, getEventPhase, getTarget, getTimeStamp, getType, initEvent, preventDefault, stopPropagation`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.w3c.dom.events.UIEvent
`getDetail, getView, initUIEvent`

Methods inherited from interface org.w3c.dom.events.Event
`getBubbles, getCancelable, getCurrentTarget, getEventPhase, getTarget, getTimeStamp, getType, initEvent, preventDefault, stopPropagation`

Constructor Detail

### MouseEventImpl

    public MouseEventImpl()

Method Detail

### getScreenX

    public int getScreenX()

  Description copied from interface: `org.w3c.dom.events.MouseEvent`
  The horizontal coordinate at which the event occurred relative to the origin of the screen coordinate system.
  Specified by:
    `getScreenX` in interface `org.w3c.dom.events.MouseEvent`

### getScreenY

    public int getScreenY()

  Description copied from interface: `org.w3c.dom.events.MouseEvent`
  The vertical coordinate at which the event occurred relative to the origin of the screen coordinate system.
  Specified by:
    `getScreenY` in interface `org.w3c.dom.events.MouseEvent`

### getClientX

    public int getClientX()

  Description copied from interface: `org.w3c.dom.events.MouseEvent`
  The horizontal coordinate at which the event occurred relative to the DOM implementation's client area.
  Specified by:
    `getClientX` in interface `org.w3c.dom.events.MouseEvent`

### getClientY

    public int getClientY()

  Description copied from interface: `org.w3c.dom.events.MouseEvent`
  The vertical coordinate at which the event occurred relative to the DOM implementation's client area.
  Specified by:
    `getClientY` in interface `org.w3c.dom.events.MouseEvent`

### getCtrlKey

    public boolean getCtrlKey()

  Description copied from interface: `org.w3c.dom.events.MouseEvent`
  Used to indicate whether the 'ctrl' key was depressed during the firing of the event.
  Specified by:
    `getCtrlKey` in interface `org.w3c.dom.events.MouseEvent`

### getAltKey

    public boolean getAltKey()

  Description copied from interface: `org.w3c.dom.events.MouseEvent`
  Used to indicate whether the 'alt' key was depressed during the firing of the event. On some platforms this key may map to an alternative key name.
  Specified by:
    `getAltKey` in interface `org.w3c.dom.events.MouseEvent`

### getShiftKey

    public boolean getShiftKey()

  Description copied from interface: `org.w3c.dom.events.MouseEvent`
  Used to indicate whether the 'shift' key was depressed during the firing of the event.
  Specified by:
    `getShiftKey` in interface `org.w3c.dom.events.MouseEvent`

### getMetaKey

    public boolean getMetaKey()

  Description copied from interface: `org.w3c.dom.events.MouseEvent`
  Used to indicate whether the 'meta' key was depressed during the firing of the event. On some platforms this key may map to an alternative key name.
  Specified by:
    `getMetaKey` in interface `org.w3c.dom.events.MouseEvent`

### getButton

    public short getButton()

  Description copied from interface: `org.w3c.dom.events.MouseEvent`
  During mouse events caused by the depression or release of a mouse button, `button` is used to indicate which mouse button changed state. The values for `button` range from zero to indicate the left button of the mouse, one to indicate the middle button if present, and two to indicate the right button. For mice configured for left handed use in which the button actions are reversed the values are instead read from right to left.
  Specified by:
    `getButton` in interface `org.w3c.dom.events.MouseEvent`

### getRelatedTarget

    public org.w3c.dom.events.EventTarget getRelatedTarget()

  Description copied from interface: `org.w3c.dom.events.MouseEvent`
  Used to identify a secondary `EventTarget` related to a UI event. Currently this attribute is used with the mouseover event to indicate the `EventTarget` which the pointing device exited and with the mouseout event to indicate the `EventTarget` which the pointing device entered.
  Specified by:
    `getRelatedTarget` in interface `org.w3c.dom.events.MouseEvent`

### initMouseEvent

    public void initMouseEvent(java.lang.String typeArg,
                               boolean canBubbleArg,
                               boolean cancelableArg,
                               org.w3c.dom.views.AbstractView viewArg,
                               int detailArg,
                               int screenXArg,
                               int screenYArg,
                               int clientXArg,
                               int clientYArg,
                               boolean ctrlKeyArg,
                               boolean altKeyArg,
                               boolean shiftKeyArg,
                               boolean metaKeyArg,
                               short buttonArg,
                               org.w3c.dom.events.EventTarget relatedTargetArg)

  Description copied from interface: `org.w3c.dom.events.MouseEvent`
  The `initMouseEvent` method is used to initialize the value of a `MouseEvent` created through the `DocumentEvent` interface. This method may only be called before the `MouseEvent` has been dispatched via the `dispatchEvent` method, though it may be called multiple times during that phase if necessary. If called multiple times, the final invocation takes precedence.
  Specified by:
    `initMouseEvent` in interface `org.w3c.dom.events.MouseEvent`
  Following copied from interface: `org.w3c.dom.events.MouseEvent`
  Parameters:
    `typeArg` - Specifies the event type.
    `canBubbleArg` - Specifies whether or not the event can bubble.
    `cancelableArg` - Specifies whether or not the event's default action can be prevented.
    `viewArg` - Specifies the `Event`'s `AbstractView`.
    `detailArg` - Specifies the `Event`'s mouse click count.
    `screenXArg` - Specifies the `Event`'s screen x coordinate
    `screenYArg` - Specifies the `Event`'s screen y coordinate
    `clientXArg` - Specifies the `Event`'s client x coordinate
    `clientYArg` - Specifies the `Event`'s client y coordinate
    `ctrlKeyArg` - Specifies whether or not control key was depressed during the `Event`.
    `altKeyArg` - Specifies whether or not alt key was depressed during the `Event`.
    `shiftKeyArg` - Specifies whether or not shift key was depressed during the `Event`.
    `metaKeyArg` - Specifies whether or not meta key was depressed during the `Event`.
    `buttonArg` - Specifies the `Event`'s mouse button.
    `relatedTargetArg` - Specifies the `Event`'s related `EventTarget`.

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.